%global pypi_name mir_eval

Name:           python-%{pypi_name}
Version:        0.7
Release:        3%{?dist}
Summary:        Common metrics for common audio/music processing tasks

License:        MIT
URL:            https://github.com/craffel/mir_eval
Source0:        %{url}/archive/%{version}/mir_eval-%{version}.tar.gz
Patch0:         future.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(numpydoc)
BuildRequires:  python3dist(pip)
BuildRequires:  make

%description
mir_eval Python library for computing common heuristic accuracy scores for
various music/audio information retrieval/signal processing
tasks.Documentation, including installation and usage information: you're
looking for the mir_eval web service, which you can use to run mir_eval without
installing anything or writing any code, it can be found here:

%package -n     python3-%{pypi_name}
Summary:        %{summary}

Requires:       python3dist(matplotlib) >= 2.1
Requires:       python3dist(numpy) >= 1.7
Requires:       python3dist(scipy) >= 1
Requires:       python3dist(scipy) >= 1
Requires:       python3dist(six)
%description -n python3-%{pypi_name}
mir_eval Python library for computing common heuristic accuracy scores for
various music/audio information retrieval/signal processing
tasks.Documentation, including installation and usage information: you're
looking for the mir_eval web service, which you can use to run mir_eval without
installing anything or writing any code, it can be found here:


%prep
%autosetup -n %{pypi_name}-%{version} -p0

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

pushd docs
make html
popd

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

sed -e '1d' -i %{buildroot}%{python3_sitelib}/%{pypi_name}/__init__.py

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst docs/_build/html/

%changelog
* Wed Nov 13 2024 Gwyn Ciesla <gwync@protonmail.com> - 0.7-3
- Require pip, make

* Wed Nov 13 2024 Gwyn Ciesla <gwync@protonmail.com> - 0.7-2
- Add docs.

* Wed Dec 21 2022 Gwyn Ciesla <gwync@protonmail.com> - 0.7-1
- Initial package.
